# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.2.3](https://github.com/inspect-js/has-package-exports/compare/v1.2.2...v1.2.3) - 2021-05-02

### Commits

- [Tests] migrate tests to Github Actions [`092631e`](https://github.com/inspect-js/has-package-exports/commit/092631ee3a96aac9cbeaae9119ce528645e37987)
- [actions] use `node/install` instead of `node/run`; use `codecov` action [`f67d617`](https://github.com/inspect-js/has-package-exports/commit/f67d61728d720294766d6bbea91b78c581883613)
- [Tests] run `nyc` on all tests [`cfcb368`](https://github.com/inspect-js/has-package-exports/commit/cfcb36871dc291b52f96ed36daf39918488bb60f)
- [readme] remove travis badge [`e9949ce`](https://github.com/inspect-js/has-package-exports/commit/e9949ce44f82a531507c082cf39f41defafa6fb1)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `tape` [`a8377c4`](https://github.com/inspect-js/has-package-exports/commit/a8377c4a85608c9290068008c74bb76fc582eed9)
- [actions] update workflows [`8fdcfe6`](https://github.com/inspect-js/has-package-exports/commit/8fdcfe6b5d9e72005bc7645474eca8ff4a140a0c)
- [Docs] add pattern support in node `v12.20+` [`bc38da1`](https://github.com/inspect-js/has-package-exports/commit/bc38da1d9f7480e90f8ec4e4cad8c227d1e30224)
- [meta] use `prepublishOnly` script for npm 7+ [`097be86`](https://github.com/inspect-js/has-package-exports/commit/097be862c18c7e59cf630cb13333d4551fa13d52)

## [v1.2.2](https://github.com/inspect-js/has-package-exports/compare/v1.2.1...v1.2.2) - 2020-10-27

### Commits

- [meta] don’t bother publishing subpackages or .github stuff [`3b8afe3`](https://github.com/inspect-js/has-package-exports/commit/3b8afe3c62c978af27e8d6fd94e5828ace885588)
- [Tests] remove hacks that have been upstreamed to shared config; add explicit 14.14 [`20fdc08`](https://github.com/inspect-js/has-package-exports/commit/20fdc0841ca258b8c407e96260a121354b617a37)
- [@ljharb/has-package-exports-patterns] v0.0.1 [`1e74b64`](https://github.com/inspect-js/has-package-exports/commit/1e74b647fa1a778b42e891015bda98d8794aa315)
- [Dev Deps] update `eslint` [`98b28e8`](https://github.com/inspect-js/has-package-exports/commit/98b28e8846714b6a6e4ca1aab12b4abd0f240f75)
- [@ljharb/has-package-exports-patterns] [fix] add missing "main" file [`4b88614`](https://github.com/inspect-js/has-package-exports/commit/4b886149e4ce78b28a713399bdba342be9eda3ae)
- [Tests] more fixing of npm issues [`e59a024`](https://github.com/inspect-js/has-package-exports/commit/e59a024c15a12f22eafe29179de5b0a03d6f8bc0)
- [Deps] update `@ljharb/has-package-exports-patterns` [`5138fab`](https://github.com/inspect-js/has-package-exports/commit/5138fab6a072b56d045b8805fc0dd71dff7f6398)
- [meta] silence more prepublish output [`19c5574`](https://github.com/inspect-js/has-package-exports/commit/19c5574bf1c9d8840923cd77506a08987c8bc905)

## [v1.2.1](https://github.com/inspect-js/has-package-exports/compare/v1.2.0...v1.2.1) - 2020-10-08

### Commits

- [Fix] publish subpackage as a real package, since npm &lt; 7 breaks with published file deps [`6599568`](https://github.com/inspect-js/has-package-exports/commit/65995682e44bf89adff04128d84eb5c5db51d38c)
- [Tests] always test `node` `v12.17` [`625861c`](https://github.com/inspect-js/has-package-exports/commit/625861c5a06deaa4a8be17791748a5b6cd86f0bb)
- [Dev Deps] update `@ljharb/eslint-config` [`3a13a60`](https://github.com/inspect-js/has-package-exports/commit/3a13a60702c3b21b3ccaa8e5a42420a53df71da6)
- [readme] fix node docs URL [`15d2d48`](https://github.com/inspect-js/has-package-exports/commit/15d2d48c8e81ce9f69c102915c62f7b1baae7956)

## [v1.2.0](https://github.com/inspect-js/has-package-exports/compare/v1.1.0...v1.2.0) - 2020-10-06

### Commits

- [meta] fix package.json indentation [`b5d259a`](https://github.com/inspect-js/has-package-exports/commit/b5d259a75466030b5a63fd4d7fc7ec6a7143281c)
- [Dev Deps] update `auto-changelog`, `eslint` [`c20a4d1`](https://github.com/inspect-js/has-package-exports/commit/c20a4d14efba2531e62a8208b1341412777dce86)
- [New] add `./pattern` import for detecting pattern exports support [`c3cf0ba`](https://github.com/inspect-js/has-package-exports/commit/c3cf0ba6d15a2a5a7f7cf235b1fb9ca0ac921ddf)
- [meta] transfer repo to inspect-js [`af2413b`](https://github.com/inspect-js/has-package-exports/commit/af2413bd7a421212bb073900ea8168bcb4ab087e)
- [actions] add "Allow Edits" workflow [`e54ba12`](https://github.com/inspect-js/has-package-exports/commit/e54ba12553e93bbbfb24ca55336af8ed9814daa8)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud` [`e7606fc`](https://github.com/inspect-js/has-package-exports/commit/e7606fc6cc89cad0c15b0228eca89d4458a717b7)
- [Dev Deps] update `eslint`, `tape` [`fe7c62c`](https://github.com/inspect-js/has-package-exports/commit/fe7c62ce28006a4193f6ca0828d878b953ce87bb)
- [Tests] `node` `v12.17` supports package exports [`5b31cc2`](https://github.com/inspect-js/has-package-exports/commit/5b31cc2af60a795faeb279c19807771572bb8b98)
- [actions] switch Automatic Rebase workflow to `pull_request_target` event [`f5301e8`](https://github.com/inspect-js/has-package-exports/commit/f5301e80091fa912fdd986adcad9a345ca7324e6)

## [v1.1.0](https://github.com/inspect-js/has-package-exports/compare/v1.0.0...v1.1.0) - 2020-05-10

### Commits

- [New] add `./conditional` entrypoint to test conditional exports [`fb9f873`](https://github.com/inspect-js/has-package-exports/commit/fb9f873e8010d54fd38d03e254e5e9602fd77daf)
- [Tests] add a test for the experimental warning [`b0d76c1`](https://github.com/inspect-js/has-package-exports/commit/b0d76c142232cbeff8a2d88d0497247564016f4f)
- [Test] correct semver ranges for experimental warning [`01f8745`](https://github.com/inspect-js/has-package-exports/commit/01f87459453be2de51899c871b51f2564a685422)
- [Dev Deps] update `@ljharb/eslint-config`, `tape` [`4382cbb`](https://github.com/inspect-js/has-package-exports/commit/4382cbb95af145c118e2b65c3badcaa7dc4c3966)
- [Tests] only audit prod deps [`89df195`](https://github.com/inspect-js/has-package-exports/commit/89df19575ca9fc2ad6a8e621e2216dd2e1f70848)
- [Dev Deps] update `tape` [`5bd7272`](https://github.com/inspect-js/has-package-exports/commit/5bd7272fcb5ca5fcbb90ca2c938139786faaf4cf)
- [Dev Deps] update `aud` [`5a3ab83`](https://github.com/inspect-js/has-package-exports/commit/5a3ab839642067e858d39e6a447c559a17c12dc2)
- [Dev Deps] update `auto-changelog` [`d60f286`](https://github.com/inspect-js/has-package-exports/commit/d60f286575221ba83fed43f9714e3242d9ba75c9)
- [Dev Deps] update `auto-changelog` [`7092232`](https://github.com/inspect-js/has-package-exports/commit/70922327a8134d4a1bc821d61917c1d617a190cc)
- [Tests] handle buggy prepublish behavior in npm &lt; 5 [`ef8ff6d`](https://github.com/inspect-js/has-package-exports/commit/ef8ff6d6498d219a638f08bdd4a1f58aa28651aa)
- [Dev Deps] update `aud` [`62bd584`](https://github.com/inspect-js/has-package-exports/commit/62bd584bb765cb1583aa7e9ccb517a5d0373d845)
- [Dev Deps] update `auto-changelog`, `tape` [`44757b5`](https://github.com/inspect-js/has-package-exports/commit/44757b572e9e4dc57c095bf9c8a59983c47b4e43)
- [Dev Deps] update `tape` [`88fac9a`](https://github.com/inspect-js/has-package-exports/commit/88fac9ae74ec153f2c07e09f86e2face9e283eab)
- [Dev Deps] update `tape` [`bfea414`](https://github.com/inspect-js/has-package-exports/commit/bfea4146f2e713ab22be2a5a0fbe0f675577aebf)

## v1.0.0 - 2020-01-08

### Commits

- [meta] add `funding` field; create FUNDING.yml [`52a0659`](https://github.com/inspect-js/has-package-exports/commit/52a06596c91d6bd28f964e28cb068803b6c2e309)
- Initial commit [`6b3c147`](https://github.com/inspect-js/has-package-exports/commit/6b3c147eb81f567b335d8f95faedab970b9df521)
- readme [`b3aab67`](https://github.com/inspect-js/has-package-exports/commit/b3aab67b94d418f1e5bf42319558290ee07af01e)
- [meta] add `auto-changelog` [`d5eb52e`](https://github.com/inspect-js/has-package-exports/commit/d5eb52efe168ce238fdef63a09b8103a5190c7b0)
- Tests [`e2fb125`](https://github.com/inspect-js/has-package-exports/commit/e2fb1250e9b3c33b0cfe606f2e67d090260b5596)
- npm init [`78a866c`](https://github.com/inspect-js/has-package-exports/commit/78a866c1e38f6d7226981358c938f1d5340009df)
- Implementation [`8729ae8`](https://github.com/inspect-js/has-package-exports/commit/8729ae8ef0184598dcb26b7242e8d43d146dc0e2)
- [Tests] add `npm run lint` [`35bb583`](https://github.com/inspect-js/has-package-exports/commit/35bb583e05530fb3057898cf90e2437d216fbd48)
- [actions] add automatic rebasing / merge commit blocking [`e0e0690`](https://github.com/inspect-js/has-package-exports/commit/e0e0690943fe0cd4b421c0d69044b22d7ce2b6e3)
- [Tests] use shared travis-ci configs [`d48d3be`](https://github.com/inspect-js/has-package-exports/commit/d48d3be95f408f2fa3b901f4b5d33eec7ec51743)
- Only apps should have lockfiles [`b19867c`](https://github.com/inspect-js/has-package-exports/commit/b19867ce37a30c40a953c077b1d777e918d20998)
- [meta] add `safe-publish-latest` [`685c807`](https://github.com/inspect-js/has-package-exports/commit/685c80734be2e23029086ef97540d9f97c104b56)
